Bug 1793750 - local-storage-operator does not update daemonset when new node is added to the selector [NEEDINFO]
Summary: local-storage-operator does not update daemonset when new node is added to th...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.1.z
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.4.0
Assignee: Hemant Kumar
QA Contact: Liang Xia
URL:
Whiteboard:
Depends On: 1798198
Blocks: 1803265
TreeView+ depends on / blocked
 
Reported: 2020-01-22 03:50 UTC by Hemant Kumar
Modified: 2020-05-04 11:26 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1803265 (view as bug list)
Environment:
Last Closed: 2020-05-04 11:25:48 UTC
Target Upstream Version:
hekumar: needinfo? (hekumar)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift local-storage-operator pull 84 0 None closed Bug 1793750: Fix ds force rollout 2020-07-13 16:58:30 UTC
Red Hat Product Errata RHBA-2020:0581 0 None None None 2020-05-04 11:26:26 UTC

Comment 3 Liang Xia 2020-02-04 03:32:35 UTC
Tested with,

$ oc get clusterversion ; oc get csv 
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.4.0-0.nightly-2020-02-03-005212   True        False         23h     Cluster version is 4.4.0-0.nightly-2020-02-03-005212
NAME                                        DISPLAY                  VERSION              REPLACES   PHASE
local-storage-operator.4.4.0-202001240656   Local Storage            4.4.0-202001240656              Succeeded


On a 3 masters and 3 nodes master,
The localvolume CR is created with one node, daemonset local-diskmaker and local-provisioner's desired value is 1, which is correct.
After adding a new node to above CR by edit the CR, the daemonset are not changed, still show desired value as 1, which is not correct, same issue as in the description.

Comment 6 Liang Xia 2020-02-14 06:48:49 UTC
Verified both local-diskmaker and local-provisioner's daemonset updated when there are nodes added to/removed from the selector.

local-storage-operator.4.4.0-202002131916
OpenShift Version 4.4.0-0.nightly-2020-02-13-212616

Comment 8 errata-xmlrpc 2020-05-04 11:25:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.